Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
minhvan21287

chỉnh sửa dim kích thước

Các bài được khuyến nghị

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

Bạn dùng lệnh Dimedit (tắt là Ded)

 

Command: ded DIMEDIT

Enter type of dimension editing [Home/New/Rotate/Oblique] <Home>: n -> gõ N

-> hộp Text Formating xuất hiện -> Bạn gõ <>

 

Select objects: Specify opposite corner: 5 found -> Quét chọn toàn bộ đối tượng DIM

 

Select objects: Enter

 

-> Xong

  • Vote tăng 6

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hoặc bạn có thể dùng lisp này cho tiện

 

(Defun c:rd ()
(setq Set1 (ssget '((0 . "DIMENSION"))))	
(setq i 0)
(repeat (sslength Set1)
(setq newdimvalue "")
(command "dimedit" "n" newdimvalue set1 "")
(setq i (+ i 1))
(princ)
)
)

  • Vote tăng 6

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoặc bạn có thể dùng lisp này cho tiện

 

(Defun c:rd ()
(setq Set1 (ssget '((0 . "DIMENSION"))))	
(setq i 0)
(repeat (sslength Set1)
(setq newdimvalue "<>")
(command "dimedit" "n" newdimvalue set1 "")
(setq i (+ i 1))
(princ)
)
)

Mạn phép bac , xin sửa lại cho gọn :

(Defun c:rd ()    
(command "dimedit" "n" "<>" (ssget '((0 . "DIMENSION"))) "")
(princ)
)

PS: Các bác quan tâm, giúp đỡ em câu hỏi này với.

Hỏi về VBA-Bắt đầu học VBA-Bài viết số 12

Thanks

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

 

 

Sử dụng lệnh QDim xem sao nhé !!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

Bạn vào Express/ Dimention/ Reset Dim Text Value sau đó chọn dim cần reset là ok

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

dùng lệnh Dimreassoc cho nhanh :blink:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×